package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "RunningEvaluateMetricsDetailVO", description = "评价指标查询返回值")
public class RunningEvaluateMetricsDetailVO {
    @ApiModelProperty(value = "状态列表")
    private List<ProblemStatus> problemStatusList;
    @ApiModelProperty(value = "问题方案列表")
    private List<ProblemScheme> schemeList;
//    @ApiModelProperty(value = "指标列表")
//    private List<CrossMetrics> metricsList;

    @NoArgsConstructor
    @Data
    public static class ProblemStatus {
        @ApiModelProperty(name = "路口状态 0正常 1 失衡  2 拥堵 3 溢出")
        private String status;

        @ApiModelProperty(value = "开始时间")
        @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "HH:mm", timezone = "GMT+8")
        private Date startTime;

        @ApiModelProperty(value = "结束时间")
        @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "HH:mm", timezone = "GMT+8")
        private Date endTime;

        @ApiModelProperty(value = "持续时长（分钟）")
        private Integer durationMinutes;
    }

    @NoArgsConstructor
    @Data
    public static class ProblemScheme {
        @ApiModelProperty(value = "方案名称")
        private String patternName;

        @ApiModelProperty(value = "开始时间")
        @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "HH:mm", timezone = "GMT+8")
        private Date startTime;

        @ApiModelProperty(value = "结束时间")
        @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "HH:mm", timezone = "GMT+8")
        private Date endTime;
    }

}
